
.ringtone-maker{
    position:relative;
    min-height:0;
    border-radius:15px;
}
.ringtone-maker #area{
    position:relative;
    z-index:9;
    pointer-events:none
}
.ringtone-maker #area #left{
    left:0;
    position:absolute;
    height:128px;
    background:#000000aa
}
.ringtone-maker #area #right{
    right:0;
    position:absolute;
    height:128px;
    background:#00000080
}
.ringtone-maker #handle{
    position:relative;
    z-index:99;
    color:#475ebf;
    -webkit-user-select:none;
    -moz-user-select:none;
    -ms-user-select:none;
    user-select:none
}
.ringtone-maker #handle div{
    width:10px;
    position:absolute;
    background-color:#00e0ff;
    cursor:ew-resize;
    pointer-events:all;
    height:128px
}
.ringtone-maker #handle div::before{
    content:"•\A•\A•";
    position:absolute;
    top:50%;
    left:50%;
    -webkit-transform:translate(-50%,-50%);
    transform:translate(-50%,-50%);
    font-size:12px;
    margin-top:0;
    white-space:pre;
    line-height:6px
}
.ringtone-maker #handle div:hover{
    color:#fff
}
.ringtone-maker #handle #left{
    right:0;
    border-top-left-radius:5px;
    border-bottom-left-radius:5px
}
.ringtone-maker #handle #right{
    right:0;
    border-bottom-right-radius:5px;
    border-top-right-radius:5px
}

.ringtone-maker #waveform{
    position:relative;
    cursor:move
}
.ringtone-maker #waveform wave{
    -webkit-box-shadow:1px 1px 3px rgba(0,0,0,.2);
    box-shadow:1px 1px 3px rgba(0,0,0,.2)
}
.ringtone-maker #waveform #time-current{
    display:none
}
.ringtone-maker #waveform #time-current::before{
    content:"";
    border-right:solid thin #666;
    position:absolute;
    left:12px;
    height:128px;
    margin-top:18px;
    z-index:9
}
.ringtone-maker #waveform #time-end{
    right:0;
    margin-right:-12px
}
.ringtone-maker #waveform #time-between{
    bottom:2px;
    margin-right:-18px
}
.ringtone-maker #waveform #time-between,.ringtone-maker #waveform #time-current,.ringtone-maker #waveform #time-end,.ringtone-maker #waveform #time-playing,.ringtone-maker #waveform #time-start{
    pointer-events:none;
    color:#666;
    position:absolute;
    font-size:10px;
    -webkit-user-select:none;
    -moz-user-select:none;
    -ms-user-select:none;
    user-select:none
}
.ringtone-maker #waveform #time-between.b,.ringtone-maker #waveform #time-current.b,.ringtone-maker #waveform #time-end.b,.ringtone-maker #waveform #time-playing.b,.ringtone-maker #waveform #time-start.b{
    bottom:-18px
}
.ringtone-maker #waveform #time-between.t,.ringtone-maker #waveform #time-current.t,.ringtone-maker #waveform #time-end.t,.ringtone-maker #waveform #time-playing.t,.ringtone-maker #waveform #time-start.t{
    top:-18px
}
.maker-play .player {
        float: none;
        margin: 0 auto;
        width: 50px;
        height: 50px;
        border-radius: 50%;
        background-color: var(--bs-primary);
}

.maker-play .player .icon {
    color: #fff;
	height: 22px;
	width: 22px;
	margin-top: 14px;
    margin-left: 14px;
}